# vim: set ts=2 sw=2 sts=2 et:
#
# Data
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Config:
  - name: webhookSignatureKey
    category: 'XPay\Square'
    type: text
    orderby: 1130
    value: ''
    translations:
      - code: en
        option_name: 'Webhook signature key'
        option_comment: 'Webhook signature key'
  - name: enablePosSync
    category: 'XPay\Square'
    type: 'XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel'
    orderby: 1140
    value: ''
    translations:
      - code: en
        option_name: 'Enable POS synchronization (beta)'
        option_comment: 'If this option is enabled, the store products catalog will be synchronized with Square items catalog'
  - name: syncType
    category: 'XPay\Square'
    type: 'XLite\Module\XPay\Square\View\FormField\Select\SyncType'
    orderby: 1150
    value: 'F'
    translations:
      - code: en
        option_name: 'POS synchronization type'
  - name: useFrequentSync
    category: 'XPay\Square'
    type: 'XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel'
    orderby: 1160
    value: ''
    translations:
      - code: en
        option_name: 'Use frequent data POS synchronization'
        option_comment: 'If this option is enabled, the store may operate somewhat slower, but the synchronization of POS state with the store will be faster and more accurate.'

XLite\Model\Task:
  - owner: XLite\Module\XPay\Square\Core\Task\Update
  - owner: XLite\Module\XPay\Square\Core\Task\Load
  - owner: XLite\Module\XPay\Square\Core\Task\RemoveUnsync
